# POST /mj/submit/shorten

**Method**: `POST`
**Endpoint**: `/mj/submit/shorten`

Bot type: mj (default) or niji

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
botType
enum<string>
Optional
Bot type: mj (default) or niji
Enum Values:
MID_JOURNEY
NIJI_JOURNEY
Example:
MID_JOURNEY
prompt
string
Prompt
Required
Example:
Cat
notifyHook
string
Optional
Callback URL. If empty, the global notifyHook is used.
Example
{
"botType"
:
"MID_JOURNEY"
,
"prompt"
:
"Cat"
,
"notifyHook"
:
"string"
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/mj/submit/shorten' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "botType": "MID_JOURNEY",
    "prompt": "Cat",
    "notifyHook": "string"
}'
```

## Response

### 🟢 200 OK

**Content Type**: `application/json`

#### Response Schema

```text
code
integer
<int32>
Required
Status Code: 1 (submission succeeded), 21 (already exists), 22 (queued), other (error)
Example:
1
description
string
Description
Required
Example:
submission succeeded
properties
object
Extended Fields
Optional
result
string
Task ID
Optional
Example:
1320098173412546
```

#### Example

```json
{
    "code": 1,
    "description": "Submission succeeded",
    "properties": {},
    "result": 1320098173412546
}
```

### 🟢 201 Created

### 🟠 401 Unauthorized

### 🟠 403 Forbidden

### 🟠 404 Not Found
